"use client";

// import ImageCard from "@/components/image/ImageCard"; // You likely have this already
// import type { Album, Gallery, Image, ImageVariant } from "@prisma/client";
import { Album, Gallery, Image, ImageVariant } from "@/generated/prisma";
import { useState } from "react";
import ImageCard from "./ImageCard";

type Props = {
  images: (Image & {
    album: Album & { gallery: Gallery | null } | null;
    variants: ImageVariant[];
  })[];
};

export default function ArtistImageGrid({ images }: Props) {
  const [showNSFW, setShowNSFW] = useState(false);

  return (
    <div className="space-y-4">
      <button
        onClick={() => setShowNSFW(!showNSFW)}
        className="text-sm underline text-muted-foreground"
      >
        {showNSFW ? "Hide NSFW" : "Show NSFW"} content
      </button>
      <div className="grid grid-cols-2 sm:grid-cols-3 md:grid-cols-4 gap-4">
        {images.map((img) => (
          <ImageCard key={img.id} image={img} showNSFW={showNSFW} />
        ))}
      </div>
    </div>
  );
}
